
<refentry id="FLgetsnap">
<indexterm id="IndexFLgetsnap"><primary>FLgetsnap</primary></indexterm>
  <refentryinfo><title>FLTK:Other</title></refentryinfo>
  <refmeta>
    <refentrytitle>FLgetsnap</refentrytitle>
  </refmeta>

  <refnamediv>
    <refname>FLgetsnap</refname>
    <refpurpose>
      Retrieves a previously stored FLTK snapshot.
    </refpurpose>
  </refnamediv>

  <refsect1>
    <title>Description</title>
    <para>
      Retrieves a previously stored snapshot (in memory), i.e. sets all valuator to the corresponding values stored in that snaphot.
    </para>
  </refsect1>

  <refsect1>
    <title>Syntax</title>
    <synopsis>inumsnap <command>FLgetsnap</command> index [, igroup]</synopsis>
  </refsect1>

  <refsect1>
    <title>Initialization</title>
    <para>
      <emphasis>inumsnap</emphasis> -- current number of snapshots.
    </para>

    <para>
      <emphasis>index</emphasis> -- a number referring unequivocally to a snapshot. Several snapshots can be stored in the same bank.
    </para>

    <para>
      <emphasis>igroup</emphasis> -- (optional) an integer number referring to a snapshot-related group of widget. It allows to get/set, or to load/save the state of a subset of valuators. Default value is zero that refers to the first group. The group number is determined by the opcode <link linkend="FLsetSnapGroup"><citetitle>FLsetSnapGroup</citetitle></link>.
    </para>
    <note>
      <para>
        The <emphasis>igroup</emphasis> parameter has not been yet fully implemented in the current version of csound. Please do not rely on it yet.
      </para>
    </note>
  </refsect1>

  <refsect1>
    <title>Performance</title>
    <para>
      <emphasis>FLgetsnap</emphasis> retrieves a previously stored
      snapshot (in memory), i.e.  sets all valuator to the
      corresponding values stored in that snapshot. The
      <emphasis>index</emphasis> argument unequivocally must refer to
      an already existing snapshot.  If the <emphasis>index</emphasis>
      argument refers to an empty snapshot or to a snapshot that does not exist, no action is done. <emphasis>FLsetsnap</emphasis> outputs the current number of snapshots (<emphasis>inumsnap</emphasis> argument).
    </para>
    <para>
      For purposes of snapshot saving, widgets can be grouped, so that snapshots affect only a defined group of widgets. The opcode <link linkend="FLsetSnapGroup"><citetitle>FLsetSnapGroup</citetitle></link> is used to specify the group for all widgets declared after it, until the next <link linkend="FLsetSnapGroup"><citetitle>FLsetSnapGroup</citetitle></link> statement.
    </para>
  </refsect1>

  <refsect1>
    <title>See Also</title>
    <para>
      <link linkend="FLloadsnap"><citetitle>FLloadsnap</citetitle></link>,
      <link linkend="FLrun"><citetitle>FLrun</citetitle></link>,
      <link linkend="FLsavesnap"><citetitle>FLsavesnap</citetitle></link>,
      <link linkend="FLsetsnap"><citetitle>FLsetsnap</citetitle></link>,
      <link linkend="FLsetSnapGroup"><citetitle>FLsetSnapGroup</citetitle></link>,
      <link linkend="FLupdate"><citetitle>FLupdate</citetitle></link>
    </para>
  </refsect1>

  <refsect1>
    <title>Credits</title>
    <para>Author: &namegabriel;</para>
    <para>New in version 4.22</para>
  </refsect1>
</refentry>
